#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmix
Summary:        KDE Digital Mixer
Epoch:          3
Version: 17.12.2
Release:        %mkrel %{rel}
Group:          Sound/Mixers
License:        GPLv2
URL:            http://www.kde.org/applications/multimedia/kmix/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
## upstream patches
# disable autostart by default (on newer plasma releases that use plasma-pa)
Patch0:         kmix-15.08.2-autostart_disable.patch

BuildRequires:  kf5-macros
BuildRequires:  kglobalaccel-devel
BuildRequires:  ki18n-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kiconthemes-devel

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)

Recommends:     kmix-handbook

# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.12.0
Conflicts:      kde-l10n-bg < 17.12.0
Conflicts:      kde-l10n-bs < 17.12.0
Conflicts:      kde-l10n-ca < 17.12.0
Conflicts:      kde-l10n-ca-valencia < 17.12.0
Conflicts:      kde-l10n-cs < 17.12.0
Conflicts:      kde-l10n-da < 17.12.0
Conflicts:      kde-l10n-de < 17.12.0
Conflicts:      kde-l10n-el < 17.12.0
Conflicts:      kde-l10n-en_GB < 17.12.0
Conflicts:      kde-l10n-en_US < 17.12.0
Conflicts:      kde-l10n-es < 17.12.0
Conflicts:      kde-l10n-et < 17.12.0
Conflicts:      kde-l10n-eu < 17.12.0
Conflicts:      kde-l10n-fa < 17.12.0
Conflicts:      kde-l10n-fi < 17.12.0
Conflicts:      kde-l10n-fr < 17.12.0
Conflicts:      kde-l10n-ga < 17.12.0
Conflicts:      kde-l10n-gl < 17.12.0
Conflicts:      kde-l10n-he < 17.12.0
Conflicts:      kde-l10n-hi < 17.12.0
Conflicts:      kde-l10n-hr < 17.12.0
Conflicts:      kde-l10n-hu < 17.12.0
Conflicts:      kde-l10n-ia < 17.12.0
Conflicts:      kde-l10n-id < 17.12.0
Conflicts:      kde-l10n-is < 17.12.0
Conflicts:      kde-l10n-it < 17.12.0
Conflicts:      kde-l10n-ja < 17.12.0
Conflicts:      kde-l10n-kk < 17.12.0
Conflicts:      kde-l10n-km < 17.12.0
Conflicts:      kde-l10n-ko < 17.12.0
Conflicts:      kde-l10n-lt < 17.12.0
Conflicts:      kde-l10n-lv < 17.12.0
Conflicts:      kde-l10n-mr < 17.12.0
Conflicts:      kde-l10n-nb < 17.12.0
Conflicts:      kde-l10n-nds < 17.12.0
Conflicts:      kde-l10n-nl < 17.12.0
Conflicts:      kde-l10n-nn < 17.12.0
Conflicts:      kde-l10n-pa < 17.12.0
Conflicts:      kde-l10n-pl < 17.12.0
Conflicts:      kde-l10n-pt < 17.12.0
Conflicts:      kde-l10n-pt_BR < 17.12.0
Conflicts:      kde-l10n-ro < 17.12.0
Conflicts:      kde-l10n-ru < 17.12.0
Conflicts:      kde-l10n-sk < 17.12.0
Conflicts:      kde-l10n-sl < 17.12.0
Conflicts:      kde-l10n-sr < 17.12.0
Conflicts:      kde-l10n-sv < 17.12.0
Conflicts:      kde-l10n-tr < 17.12.0
Conflicts:      kde-l10n-ug < 17.12.0
Conflicts:      kde-l10n-uk < 17.12.0
Conflicts:      kde-l10n-wa < 17.12.0
Conflicts:      kde-l10n-zh_CN < 17.12.0
Conflicts:      kde-l10n-zh_TW < 17.12.0

%description
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

%files -f %name.lang
%_kf5_datadir/kmix
%_kf5_bindir/kmix
%_kf5_bindir/kmixctrl
%_kf5_bindir/kmixremote
%_kf5_iconsdir/*/*/*/*
%_kf5_applicationsdir/*.desktop
%_kf5_services/kmixctrl_restore.desktop
%_kf5_services/kded/kmixd.desktop
%_kf5_sysconfdir/xdg/autostart/*.desktop
%_kf5_libdir/libkdeinit5_kmix.so
%_kf5_libdir/libkdeinit5_kmixctrl.so
%_qt5_plugindir/libkded_kmixd.so
%_qt5_plugindir/plasma/dataengine/plasma_engine_mixer.so
%_kf5_services/plasma-dataengine-mixer.desktop
%_kf5_datadir/kxmlgui5/kmix
%_kf5_datadir/plasma/services/mixer.operations
%_datadir/dbus-1/interfaces/org.kde.kmix.control.xml
%_datadir/dbus-1/interfaces/org.kde.kmix.mixer.xml
%_datadir/dbus-1/interfaces/org.kde.kmix.mixset.xml 
%_datadir/appdata/org.kde.kmix.appdata.xml

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
BuildArch: noarch
Group: Documentation
%description -n %name-handbook
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

This packages provides kmouth handbook. 

%files -n %name-handbook
%doc AUTHORS COPYING COPYING.DOC
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML/*/%name/

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5 -DKMIX_KF5_BUILD=ON
%make_build

%install
%make_install -C build
%find_lang %{name} --all-name



%changelog
* Sat Feb 17 2018 neoclust <neoclust> 3:17.12.2-1.mga6
+ Revision: 1202295
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090093
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1076833
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 3:16.11.90-1.mga6
+ Revision: 1072034
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067353
- New version 16.08.3

* Tue Nov 01 2016 daviddavid <daviddavid> 3:16.08.2-2.mga6
+ Revision: 1064458
- add fedora patch to don't autostart by default (mga#17649)

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061415
- New version 16.08.2

* Wed Sep 14 2016 daviddavid <daviddavid> 3:16.08.1-2.mga6
+ Revision: 1052657
- remove kdebase4-runtime as a dependency

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050678
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047322
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1040079
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012569
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1004358
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 994911
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991201
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987470
- New version 15.12.2

* Mon Jan 25 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 927371
- Remove merged patch
- New version 15.12.1
- New version 15.12.0
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 3:15.07.80-1.mga6
+ Revision: 859173
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800616
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787702
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 744647
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734564
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681119
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667501
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 663013
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656691
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653877
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 651983
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Mon Jun 16 2014 lmenut <lmenut> 3:4.13.2-2.mga5
+ Revision: 637588
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625518
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615595
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609411
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606852
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603359
- New version 4.12.80

* Mon Mar 10 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 601912
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 590480
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 580714
- Update tarball to KDE SC 4.11.5

* Thu Jan 09 2014 colin <colin> 3:4.11.4-2.mga4
+ Revision: 565808
- Rebuild against newer PA due to (temporary) ABI breakage (mga#12155)

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555011
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551279
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 539988
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490709
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488638
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476803
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465156
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458929
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455315
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 447912
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 3:4.10.4-1.mga4
+ Revision: 435267
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 3:4.10.3-1.mga4
+ Revision: 428380
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407196
- Update tarball to KDE SC 4.10.2

* Thu Mar 14 2013 colin <colin> 3:4.10.1-2.mga3
+ Revision: 403171
- Apply fix for capture device/stream volume control under PulseAudio (bko#315920)

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401898
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394369
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 356308
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339422
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334523
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326728
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320285
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316170
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 301940
- Update tarball to KDE SC 4.9.2
- fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289730
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 276666
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269690
- new version 4.8.97
- conflicts should not be there

* Sun Jul 01 2012 fwang <fwang> 3:4.8.95-2.mga3
+ Revision: 265881
- add conflicts

* Wed Jun 27 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 264295
- bump br
- imported package kmix

